Vulnerability with Diffie-Hellman ciphers may affect Liberty for Java for IBM Bluemix (CVE-2015-4000)
  • Liberty for Java
  • United Kingdom
    US South
  • Description
    The LogJam Attack on Diffie-Hellman ciphers (CVE-2015-4000) may affect some configurations of Liberty for Java for IBM Bluemix.

    The TLS protocol could allow a remote attacker to obtain sensitive information, caused by the failure to properly convey a DHE_EXPORT ciphersuite choice. An attacker could exploit this vulnerability using man-in-the-middle techniques to force a downgrade to 512-bit export-grade cipher. Successful exploitation could allow an attacker to recover the session key as well as modify the contents of the traffic. This vulnerability is commonly referred to as "Logjam".